﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule.TimelineView;

namespace ultraTimeLineViewTimeHide
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataSet ds = this.GetSampleData();
            this.ultraCalendarInfo1.Owners.UnassignedOwner.Visible = false;
            this.ultraCalendarInfo1.DataBindingsForAppointments.DataSource = ds.Tables["Appointments"];
            this.ultraCalendarInfo1.DataBindingsForOwners.DataSource = ds.Tables["Owners"];
            this.ultraCalendarInfo1.DataBindingsForAppointments.StartDateTimeMember = "StartTime";

            this.ultraCalendarInfo1.DataBindingsForAppointments.EndDateTimeMember = "EndTime";

            this.ultraCalendarInfo1.DataBindingsForAppointments.SubjectMember = "Subject";
            this.ultraCalendarInfo1.DataBindingsForAppointments.OwnerKeyMember = "OwnerKey";

            this.ultraCalendarInfo1.DataBindingsForOwners.KeyMember = "OwnerKey";
            this.ultraCalendarInfo1.DataBindingsForOwners.NameMember = "Name";

            this.ultraCalendarLook1.ViewStyle = Infragistics.Win.UltraWinSchedule.ViewStyle.Office2007;
            //Offset the time to start from 8AM
            this.ultraTimelineView1.CalendarInfo.LogicalDayOffset = new TimeSpan(8, 0, 0);
            //Change the duration to a 9 hour day
            this.ultraTimelineView1.CalendarInfo.LogicalDayDuration = new TimeSpan(9, 0, 0);
        }
        private DataSet GetSampleData()
        {
            DataSet theDataSet = new DataSet();

            DataTable theAppointments = theDataSet.Tables.Add("Appointments");
            theAppointments.Columns.Add("AppointmentID", typeof(int));
            theAppointments.Columns.Add("StartTime", typeof(DateTime));
            theAppointments.Columns.Add("EndTime", typeof(DateTime));
            theAppointments.Columns.Add("Subject", typeof(string));
            theAppointments.Columns.Add("OwnerKey", typeof(string));

            theAppointments.Rows.Add(new object[] { "1", DateTime.Now, DateTime.Now.AddHours(1), "Training Time", "Jose" });
            theAppointments.Rows.Add(new object[] { "1", DateTime.Now.AddHours(2), DateTime.Now.AddHours(3), "Cases Time", "Joseph" });

            DataTable theOwners = theDataSet.Tables.Add("Owners");
            theOwners.Columns.Add("OwnerID", typeof(int));
            theOwners.Columns.Add("Name", typeof(string));
            theOwners.Columns.Add("OwnerKey", typeof(string));

            theOwners.Rows.Add(new object[] { "1", "Jose A", "Jose" });
            theOwners.Rows.Add(new object[] { "2", "Joseph B", "Joseph" });

            return theDataSet;
        }
    }
}
